package com.ycwl.basic.controller.pc;

import com.ycwl.basic.model.pc.broker.entity.BrokerEntity;
import com.ycwl.basic.model.pc.broker.req.BrokerReqQuery;
import com.ycwl.basic.service.pc.BrokerService;
import com.ycwl.basic.utils.ApiResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 15:50
 */
@RestController
@RequestMapping("/api/broker/v1")
@Api(tags = "推客（推广人）管理")
public class BrokerController {
    @Autowired
    private BrokerService brokerService;

    @ApiOperation("分页查询")
    @PostMapping("/page")
    public ApiResponse page(@RequestBody BrokerReqQuery brokerReqQuery){
        return ApiResponse.success(brokerService.pageQuery(brokerReqQuery));
    }

    @ApiOperation("列表查询")
    @PostMapping("/list")
    public ApiResponse list(@RequestBody BrokerReqQuery brokerReqQuery){
        return ApiResponse.success(brokerService.list(brokerReqQuery));
    }

    @ApiOperation("详情查询")
    @GetMapping("/getDetails/{id}")
    public ApiResponse getDetails(@PathVariable("id") Long id){
        return ApiResponse.success(brokerService.getById(id));
    }
    @ApiOperation("新增或修改")
    @PostMapping("/addOrUpdate")
    public ApiResponse addOrUpdate(@RequestBody BrokerEntity broker){
        return ApiResponse.success(brokerService.addOrUpdate(broker));
    }
    @ApiOperation("删除")
    @DeleteMapping("/delete/{id}")
    public ApiResponse delete(@PathVariable("id") Long id){
        return ApiResponse.success(brokerService.delete(id));
    }
    @ApiOperation("修改状态")
    @PutMapping("/updateStatus/{id}")
    public ApiResponse updateStatus(@PathVariable("id") Long id){
        return ApiResponse.success(brokerService.updateStatus(id));
    }

}
