package com.ycwl.basic.device.operator;

import com.ycwl.basic.device.IDeviceCommon;
import com.ycwl.basic.device.entity.common.FileObject;

import java.util.Date;
import java.util.List;

public interface IDeviceStorageOperator extends IDeviceCommon {
    /**
     * 获取指定时间范围内的文件列表
     *
     * @param startDate 开始时间
     * @param endDate   结束时间
     * @return
     */
    List<FileObject> getFileListByDtRange(Date startDate, Date endDate);

    /**
     * 删除指定日期之前的文件，不包含指定的日期当天
     *
     * @param date 指定日期，不包含指定日期当天
     * @return
     */
    boolean removeFilesBeforeDate(Date date);
}
