package com.ycwl.basic.model.pc.order.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 14:07
 */
@Data
@ApiModel("订单购买的内容（订单明细）")
public class OrderItemVO {

    private Long id;
    /**
     * 订单id
     */
    @ApiModelProperty("订单id")
    private Long orderId;
    @ApiModelProperty("商品类型，1成片，2源素材")
    private Integer goodsType;
    /**
     * 商品ID，goods_type=1关联video.id，=2关联source.id，=3关联template.id
     */
    @ApiModelProperty("商品ID，goods_type=1关联video.id，=2关联source.id")
    private Long goodsId;
    private Long faceId;
    @ApiModelProperty("景区名称")
    private String scenicName;
    @ApiModelProperty("商品名称 模版名称/原片x个/照片x个")
    private String goodsName;
    @ApiModelProperty("视频链接")
    private String videoUrl;
    @ApiModelProperty("图片存储地址")
    private String imgUrl;
    @ApiModelProperty("原素材类型：1视频，2图像")
    private Integer sourceType;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
