package com.ycwl.basic.model.wx;


import lombok.Data;

import java.util.Map;

/**
 * @Author: songmingsong
 * @CreateTime: 2024-12-06
 * @Description: 消息通知请求参数
 * @Version: 1.0
 */
@Data
public class WechatMssVO {
    /**
     * 用户openid
     */
    private String touser;

    /**
     * 订阅消息模版id
     */
    private String template_id;

    /**
     * 默认跳到小程序首页
     */
    private String page = "pages/index/index";

    /**
     * 推送文字
     */
    private Map<String, WechatTemplateData> data;

    /**
     * 跳转小程序的类型：developer为开发版；trial为体验版；formal为正式版；默认为正式版
     */
    private String miniprogram_state;

    /**
     * 进入小程序查看的语言类型：支持zh_CN、en_US、zh_HK、zh_TW，默认为zh_CN
     */
    private String lang;
}
