package com.ycwl.basic.storage.adapters;

import com.ycwl.basic.storage.entity.StorageConfig;
import com.ycwl.basic.storage.exceptions.UploadFileFailedException;
import lombok.Setter;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.util.Date;

public abstract class AStorageAdapter implements IStorageAdapter {

    @Override
    public String uploadFile(File file, String path, String filename) {
        if (file == null) {
            return null;
        }
        try {
            InputStream inputStream = new FileInputStream(file);
            return uploadFile(inputStream, path, filename);
        } catch (FileNotFoundException e) {
            throw new UploadFileFailedException("文件不存在");
        }
    }

    @Override
    public String uploadFile(MultipartFile file, String path, String filename) {
        if (file == null) {
            return null;
        }
        try {
            InputStream inputStream = file.getInputStream();
            return uploadFile(inputStream, path, filename);
        } catch (Exception e) {
            throw new UploadFileFailedException("文件上传失败");
        }
    }

    @Override
    public String getUrlForUpload(String path, String filename) {
        return getUrlForUpload(path, filename, new Date(System.currentTimeMillis() + 1000 * 60 * 60));
    }
}
