package com.ycwl.basic.storage.adapters;

import com.ycwl.basic.storage.entity.StorageConfig;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.InputStream;
import java.util.Date;
import java.util.Map;

public interface IStorageAdapter {
    void loadConfig(Map<String, String> config);
    void setConfig(StorageConfig config);
    String uploadFile(InputStream inputStream, String path, String filename);
    String uploadFile(File file, String path, String filename);
    String uploadFile(MultipartFile file, String path, String filename);
    boolean deleteFile(String path, String filename);
    String getUrl(String path, String filename);
    String getUrlForUpload(String path, String filename);
    String getUrlForUpload(String path, String filename, Date expireDate);
}
